
local Menhir = ...

Menhir:registerAssetId("models/menhir.fbx/Prefab/menhirPart", "MENHIR_PREFAB")

-- Register the stone gate set decoration menhir part
Menhir:register({
	DataType = "BUILDING_PART",
	Id = "MENHIR_PART",
	Name = "MENHIR_NAME",
	Description = "MENHIR_DESC",
	Category = "DECORATION",
	Mover = { DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "MENHIR_PREFAB"
	},
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 0 }
		},
		RessourcesNeeded = { -- List of RESOURCE_QUANTITY_PAIR
			{ Resource = "STONE", Quantity = 1 }
		}
	}
})

-- Register grounding components

Menhir:registerPrefabComponent("models/menhir.fbx/Prefab/menhirPart", {
	DataType = "COMP_GROUNDED"
})

-- Override building part components properties (generated by the building asset processor) to add building zones
Menhir:registerPrefabComponent("models/menhir.fbx/Prefab/menhirPart", {
	DataType = "COMP_BUILDING_PART",
	HasBuildingZone = true,
	BuildingZone = { 1, 1 }
})
